Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  trait CommentFactoryBase extends AnyRef

  The comment parser transforms raw comment strings into `Comment` objects.

  The comment parser transforms raw comment strings into `Comment` objects. Call `parse` to run the parser. Note that the parser is stateless and should only be built once for a given Scaladoc run.

  Definition Classes
    base
- CharReader
- WikiParser

c

scala.tools.nsc.doc.base.CommentFactoryBase

# CharReader 

###

#### sealed class CharReader extends AnyRef

Attributes
  protected
Self Type
  (CommentFactoryBase.this)#CharReader
Source
  CommentFactoryBase.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
WikiParser
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharReader
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CharReader(buffer: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to any2stringadd[(CommentFactoryBase.this)#CharReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((CommentFactoryBase.this)#CharReader, B)
   Implicit
     This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to ArrowAssoc[(CommentFactoryBase.this)#CharReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def char: Char
8.  final def check(chars: String): Boolean
9.  def checkSkipInitWhitespace(chars: String): Boolean
10.  def checkSkipInitWhitespace(c: Char): Boolean
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def countWhitespace: Int
13.  def ensuring(cond: ((CommentFactoryBase.this)#CharReader) ⇒ Boolean, msg: ⇒ Any): (CommentFactoryBase.this)#CharReader
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to Ensuring[(CommentFactoryBase.this)#CharReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: ((CommentFactoryBase.this)#CharReader) ⇒ Boolean): (CommentFactoryBase.this)#CharReader
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to Ensuring[(CommentFactoryBase.this)#CharReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: ⇒ Any): (CommentFactoryBase.this)#CharReader
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to Ensuring[(CommentFactoryBase.this)#CharReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): (CommentFactoryBase.this)#CharReader
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to Ensuring[(CommentFactoryBase.this)#CharReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to StringFormat[(CommentFactoryBase.this)#CharReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isWhitespace(c: Char): Boolean
25.  def isWhitespaceOrNewLine(c: Char): Boolean
26.  final def jump(chars: String): Boolean

    jumps all the characters in chars, consuming them in the process.

    jumps all the characters in chars, consuming them in the process.

    returns

      true only if the correct characters have been jumped

27.  final def jump(ch: Char): Boolean

    jumps a character and consumes it

    jumps a character and consumes it

    returns

      true only if the correct character has been jumped

28.  final def jumpUntil(pred: ⇒ Boolean): Int
29.  final def jumpUntil(ch: Char): Int
30.  def jumpWhitespace(): Int
31.  def jumpWhitespaceOrNewLine(): Int
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def nextChar(): Unit
34.  final def notify(): Unit
    Definition Classes
      AnyRef
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
36.  var offset: Int
37.  final def readUntil(pred: ⇒ Boolean): String
38.  final def readUntil(chars: String): String
39.  final def readUntil(c: Char): String
40.  final def repeatJump(c: Char, max: Int = Int.MaxValue): Int
41.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  def →[B](y: B): ((CommentFactoryBase.this)#CharReader, B)
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#CharReader to ArrowAssoc[(CommentFactoryBase.this)#CharReader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (CommentFactoryBase.this)#CharReader to any2stringadd[(CommentFactoryBase.this)#CharReader]

### Inherited by implicit conversion StringFormat from (CommentFactoryBase.this)#CharReader to StringFormat[(CommentFactoryBase.this)#CharReader]

### Inherited by implicit conversion Ensuring from (CommentFactoryBase.this)#CharReader to Ensuring[(CommentFactoryBase.this)#CharReader]

### Inherited by implicit conversion ArrowAssoc from (CommentFactoryBase.this)#CharReader to ArrowAssoc[(CommentFactoryBase.this)#CharReader]

### Ungrouped